aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xresources/tools/scripts/download_hc_build_pkgs.sh11
-rwxr-xr-xresources/tools/scripts/download_hc_pkgs.sh11
-rw-r--r--tests/vpp/func/honeycomb/mgmt-cfg-nsh-apihc-apivat-func.robot4
3 files changed, 15 insertions, 11 deletions
diff --git a/resources/tools/scripts/download_hc_build_pkgs.sh b/resources/tools/scripts/download_hc_build_pkgs.sh
index 6683499956..5d76323179 100755
--- a/resources/tools/scripts/download_hc_build_pkgs.sh
+++ b/resources/tools/scripts/download_hc_build_pkgs.sh
@@ -50,11 +50,12 @@ for ART in ${VPP_ARTIFACTS}; do
done
done
-for ART in ${NSH_ARTIFACTS}; do
- for PAC in ${PACKAGE}; do
- curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
- done
-done
+# NSHSFC-34: Having NSH plugin installed crashes VPP
+#for ART in ${NSH_ARTIFACTS}; do
+# for PAC in ${PACKAGE}; do
+# curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
+# done
+#done
# verify downloaded packages
if [ "${OS}" == "centos7" ]; then
diff --git a/resources/tools/scripts/download_hc_pkgs.sh b/resources/tools/scripts/download_hc_pkgs.sh
index 1bda02505c..2bb2a08e17 100755
--- a/resources/tools/scripts/download_hc_pkgs.sh
+++ b/resources/tools/scripts/download_hc_pkgs.sh
@@ -61,11 +61,12 @@ for ART in ${DPDK_ARTIFACTS}; do
done
done
-for ART in ${NSH_ARTIFACTS}; do
- for PAC in ${PACKAGE}; do
- curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
- done
-done
+# NSHSFC-34: Having NSH plugin installed crashes VPP
+#for ART in ${NSH_ARTIFACTS}; do
+# for PAC in ${PACKAGE}; do
+# curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
+# done
+#done
# determine VPP dependency
if [ "${OS}" == "centos7" ]; then
diff --git a/tests/vpp/func/honeycomb/mgmt-cfg-nsh-apihc-apivat-func.robot b/tests/vpp/func/honeycomb/mgmt-cfg-nsh-apihc-apivat-func.robot
index 1a7ea277b7..e3697d2d32 100644
--- a/tests/vpp/func/honeycomb/mgmt-cfg-nsh-apihc-apivat-func.robot
+++ b/tests/vpp/func/honeycomb/mgmt-cfg-nsh-apihc-apivat-func.robot
@@ -32,7 +32,9 @@
| ... | Tear Down Honeycomb Functional Test Suite | ${node} | AND
| ... | Disable Honeycomb Feature | ${node} | NSH
| ...
-| Force Tags | HC_FUNC
+# NSHSFC-34: Having NSH plugin installed crashes VPP
+#| Force Tags | HC_FUNC
+
*** Test Cases ***
| TC01: Honeycomb can configure NSH entry